SVNKit Home

## org.tmatesoft.svn.core.wc.xml
Class SVNXMLDirEntryHandler

    java.lang.Object
      org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler
          org.tmatesoft.svn.core.wc.xml.SVNXMLDirEntryHandler

All Implemented Interfaces:
  Comparator, ISVNDirEntryHandler, Locator

public class SVNXMLDirEntryHandler
extends AbstractXMLHandler
implements ISVNDirEntryHandler, Comparator

This is an implementation of the ISVNStatusHandler interface that writes XML formatted status information to a specified ContentHandler.

Version:
  1.1.1
Author:
  TMate Software Ltd.

Field Summary
`static String` `AUTHOR_TAG`
`static String` `COMMENT_TAG`
`static String` `COMMIT_TAG`
`static String` `CREATED_TAG`
`static String` `DATE_TAG`
`static String` `ENTRY_TAG`
`static String` `EXPIRES_TAG`
`static String` `LIST_TAG`
`static String` `LISTS_TAG`
`static String` `LOCK_TAG`
`static String` `NAME_TAG`
`static String` `OWNER_TAG`
`static String` `PATH_ATTR`
`static String` `REVISION_ATTR`
`static String` `SIZE_TAG`
`static String` `TOKEN_TAG`

Constructor Summary
`SVNXMLDirEntryHandler(ContentHandler saxHandler)` Creates a new handler.
`SVNXMLDirEntryHandler(ContentHandler saxHandler, org.tmatesoft.svn.util.ISVNDebugLog log)` Creates a new handler.

Method Summary
`int` `compare(Object o1, Object o2)` Compares two objects.
`void` `endTarget()` Closes the formatted XML output.
`protected String` `getHeaderName()`
`void` `handleDirEntry(SVNDirEntry entry)` Handles a directory entry passed.
`void` `startTarget(String path)` Begins an XML tree with the target path for which the status is run.

Methods inherited from class org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler
`addAttribute, addTag, closeTag, endDocument, getColumnNumber, getDebugLog, getLineNumber, getPublicId, getSystemId, openTag, startDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### EXPIRES_TAG

    public static final String EXPIRES_TAG

See Also:
  Constant Field Values

### CREATED_TAG

    public static final String CREATED_TAG

See Also:
  Constant Field Values

### COMMENT_TAG

    public static final String COMMENT_TAG

See Also:
  Constant Field Values

### OWNER_TAG

    public static final String OWNER_TAG

See Also:
  Constant Field Values

### TOKEN_TAG

    public static final String TOKEN_TAG

See Also:
  Constant Field Values

### LOCK_TAG

    public static final String LOCK_TAG

See Also:
  Constant Field Values

### PATH_ATTR

    public static final String PATH_ATTR

See Also:
  Constant Field Values

### REVISION_ATTR

    public static final String REVISION_ATTR

See Also:
  Constant Field Values

### LISTS_TAG

    public static final String LISTS_TAG

See Also:
  Constant Field Values

### LIST_TAG

    public static final String LIST_TAG

See Also:
  Constant Field Values

### ENTRY_TAG

    public static final String ENTRY_TAG

See Also:
  Constant Field Values

### NAME_TAG

    public static final String NAME_TAG

See Also:
  Constant Field Values

### SIZE_TAG

    public static final String SIZE_TAG

See Also:
  Constant Field Values

### COMMIT_TAG

    public static final String COMMIT_TAG

See Also:
  Constant Field Values

### DATE_TAG

    public static final String DATE_TAG

See Also:
  Constant Field Values

### AUTHOR_TAG

    public static final String AUTHOR_TAG

See Also:
  Constant Field Values

Constructor Detail

### SVNXMLDirEntryHandler

    public SVNXMLDirEntryHandler(ContentHandler saxHandler)

  Creates a new handler.

Parameters:
  `saxHandler` - a ContentHandler to form an XML tree

### SVNXMLDirEntryHandler

    public SVNXMLDirEntryHandler(ContentHandler saxHandler,
                                 org.tmatesoft.svn.util.ISVNDebugLog log)

  Creates a new handler.

Parameters:
  `saxHandler` - a ContentHandler to form an XML tree
  `log` - a debug logger

Method Detail

### startTarget

    public void startTarget(String path)

  Begins an XML tree with the target path for which the status is run.

  Parameters:
    `path` - a WC target path or URL

### handleDirEntry

    public void handleDirEntry(SVNDirEntry entry)
                        throws SVNException

  Description copied from interface: `ISVNDirEntryHandler`
  Handles a directory entry passed.

  Specified by:
    `handleDirEntry` in interface `ISVNDirEntryHandler`
  Parameters:
    `entry` - a directory entry
  Throws:
    `SVNException`
  See Also:
    `SVNDirEntry`

### endTarget

    public void endTarget()

  Closes the formatted XML output.

### getHeaderName

    protected String getHeaderName()

  Specified by:
    `getHeaderName` in class `AbstractXMLHandler`

### compare

    public int compare(Object o1,
                       Object o2)

  Compares two objects.

  Specified by:
    `compare` in interface `Comparator`
  Parameters:
    `o1` - the first object to compare
    `o2` - the second object to compare
  Returns:
    0 if objects are equal; -1 if `o1` is null or if both `o1` and `o2` are SVNDirEntry objects and the relative path of the first object is lexicographically less than that of the second one; 1 otherwise

SVNKit Home

Copyright © 2004-2008 TMate Software Ltd. All Rights Reserved.